#-*- mode: Makefile; tab-width: 4; -*-
# ex:ts=4
# $Id: gar.conf.mk,v 1.2 2004/02/27 20:38:34 lleukkun Exp $

# This file contains configuration variables that are global to
# the GAR system.  Users wishing to make a change on a
# per-package basis should edit the category/package/Makefile, or
# specify environment variables on the make command-line.

# Variables that define the default *actions* (rather than just
# default data) of the system will remain in bbc.gar.mk
# (bbc.port.mk)

# Setting this variable will cause the results of your builds to
# be cleaned out after being installed.  Uncomment only if you
# desire this behavior!



MASTER_SITES = http://scratchbox.org/download/files/sbox-files/

# MASTER_SITES = USE_ORIGINAL
# MASTER_SITES = scp://isource.nokia.com:/home/groups/scratchbox/sbox-files/ $(MASTER_SITES)

#BUILD_CLEAN = true

# The GARCHIVEDIR is a directory containing cached files. It can be created
# manually, or with 'make garchive' once you've started downloading required
# files (say with 'make paranoid-checksum'. Example:

#GARCHIVEDIR = /home/jdub/src/cvs/gnome/garnome/DOWNLOAD

# These are the standard directory name variables from all GNU
# makefiles.  They're also used by autoconf, and can be adapted
# for a variety of build systems.
# 
# TODO: set $(SYSCONFDIR) and $(LOCALSTATEDIR) to never use
# /usr/etc or /usr/var


# the DESTDIR is used at INSTALL TIME ONLY to determine what the
# filesystem root should be.  The BUILD_PREFIX is the prefix that
# usurps the DESTDIR.  It should be considered relative to
# $(DESTDIR).  Thus, if includedir were set to
# $(BUILD_PREFIX)/include, it would expand out at install time
# (BUT NO SOONER) to /tmp/gar/../../tmp/build.  The /../../ at
# the front should be harmless, as .. for / is just / itself.
DESTDIR ?= 
BUILD_PREFIX ?= 
#BUILD_PREFIX ?= $(ROOTFROMDEST)/tmp/build

SCRATCHBOX_DIR ?= /scratchbox/tools
SCRATCHBOX_COMPILERS ?= /scratchbox/compilers

# prepend the local file listing
FILE_SITES = file://$(FILEDIR)/ file://$(GARCHIVEDIR)/ file://$(GARDIR)/files/

# This include is here after variable definitions 
# but before they are exported to allow local overrides

-include ../../.gar-local.conf

export MASTER_SITES SCRATCHBOX_DIR SCRATCHBOX_COMPILERS

